tvbrowser.ui.mainframe

## Class SoftwareUpdater

- java.lang.Object
- - tvbrowser.ui.mainframe.SoftwareUpdater

-     public final class SoftwareUpdater
      extends java.lang.Object

  Loads software update information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL_TYPE`
    `static int` | `DRAG_AND_DROP_TYPE`
    `static java.lang.String` | `FALLBACK_PLUGINS_GZ_URL`
    `static int` | `ONLY_DATA_SERVICE_TYPE`
    `static int` | `ONLY_UPDATE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftwareUpdater(java.net.URL url, int dialogType, boolean dragNdrop)` Creates an instance of this class.
    `SoftwareUpdater(java.net.URL url, int dialogType, PluginBaseInfo[] baseInfos)` Creates an instance of this class.
    `SoftwareUpdater(java.net.URL url, PluginBaseInfo[] baseInfos)` Creates an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SoftwareUpdateItem[]` | `getAvailableSoftwareUpdateItems()` Gets all available update items in an array.
    `boolean` | `isRequestingBlockArrayClear()`
    `boolean` | `isRequestingToBlockAPlugin(java.lang.String pluginId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_TYPE

          public static final int ALL_TYPE

      See Also:
        Constant Field Values

    - #### ONLY_UPDATE_TYPE

          public static final int ONLY_UPDATE_TYPE

      See Also:
        Constant Field Values

    - #### ONLY_DATA_SERVICE_TYPE

          public static final int ONLY_DATA_SERVICE_TYPE

      See Also:
        Constant Field Values

    - #### DRAG_AND_DROP_TYPE

          public static final int DRAG_AND_DROP_TYPE

      See Also:
        Constant Field Values

    - #### FALLBACK_PLUGINS_GZ_URL

          public static final java.lang.String FALLBACK_PLUGINS_GZ_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SoftwareUpdater

          public SoftwareUpdater(java.net.URL url,
                         PluginBaseInfo[] baseInfos)
                          throws java.io.IOException

      Creates an instance of this class.
      Parameters:
        `url` - The url to download the informations from.
        `baseInfos` - The base infos for all available plugins.
      Throws:
        `java.io.IOException`

    - #### SoftwareUpdater

          public SoftwareUpdater(java.net.URL url,
                         int dialogType,
                         PluginBaseInfo[] baseInfos)
                          throws java.io.IOException

      Creates an instance of this class.
      Parameters:
        `url` - The url to download the informations from.
        `dialogType` - The type of this update dialog.
        `baseInfos` - The base infos for all available plugins.
      Throws:
        `java.io.IOException`

    - #### SoftwareUpdater

          SoftwareUpdater(java.net.URL url,
                         int dialogType,
                         boolean dragNdrop)
                    throws java.io.IOException

      Creates an instance of this class.
      Parameters:
        `url` - The url to download the informations from.
        `dialogType` - The type of this update dialog.
        `dragNdrop` - If the plugin was dropped.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getAvailableSoftwareUpdateItems

          public SoftwareUpdateItem[] getAvailableSoftwareUpdateItems()

      Gets all available update items in an array.
      Returns:
        All available update items in an array.

    - #### isRequestingToBlockAPlugin

          public boolean isRequestingToBlockAPlugin(java.lang.String pluginId)

      Parameters:
        `pluginId` - The id that is requested to be blocked.
      Returns:
        `True` if this updater is requesting a block.

    - #### isRequestingBlockArrayClear

          public boolean isRequestingBlockArrayClear()

      Returns:
        `True` if this updater is requesting to clear the block array.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)